Description

Using /etc/lsb-release to get information about the distro is not recommended since it's not portable.

Example: cat /etc/lsb-release (Debian/Ubuntu)

DISTRIB_ID=Ubuntu

 DISTRIB_RELEASE=14.04

 DISTRIB_CODENAME=trusty

 DISTRIB_DESCRIPTION="Ubuntu Trusty Tahr (development branch)"

 

Example from SUSE:

LSB_VERSION="core-2.0-noarch:core-3.2-noarch:core-4.0-noarch:core-2.0-x86_64:core-3.2-x86_64:core-

4.0-x86_64"

 

The only portable way to get this info is to use 'lsb_release -a'

Associated revisions

Revision 0b3a3987 - 06/25/2014 01:06 PM - Danny Al-Gaaf

osd/OSD.cc: parse lsb release data via lsb_release

Use lsb_release tool to be portable since parsing /etc/lsb-release

is not the same between different distributions. The old code failed

e.g. for SUSE products to parse LSB information.

Fixes: #8654

Signed-off-by: Danny Al-Gaaf <danny.al-gaaf@bisect.de>

Revision 5d7add93 - 06/25/2014 01:13 PM - Loïc Dachary

Merge pull request #2017 from ceph/wip-8654
Fix #8654 - OSD.cc: parse LSB data via lsb_release

Reviewed-by: Sage Weil <sage@inktank.com>

Reviewed-by: Loic Dachary <loic@dachary.org>

Revision 5be6f2f6 - 12/22/2014 09:54 PM - Danny Al-Gaaf

osd/OSD.cc: parse lsb release data via lsb_release

Use lsb_release tool to be portable since parsing /etc/lsb-release

is not the same between different distributions. The old code failed

e.g. for SUSE products to parse LSB information.

Fixes: #8654

Signed-off-by: Danny Al-Gaaf <danny.al-gaaf@bisect.de>

(cherry picked from commit 0b3a3987d382ff33fdf892f189b30df22be80e59)

History

#1 - 06/24/2014 12:41 PM - Danny Al-Gaaf

Output from lsb_release -a:

$ lsb_release -a

LSB Version:    core-2.0-noarch:core-3.2-noarch:core-4.0-noarch:core-2.0-x86_64:core-3.2-x86_64:core-4.0-x86_6

4:desktop-4.0-amd64:desktop-4.0-noarch:graphics-2.0-amd64:graphics-2.0-noarch:graphics-3.2-amd64:graphics-3.2-

noarch:graphics-4.0-amd64:graphics-4.0-noarch        

Distributor ID: SUSE LINUX                                                                                    

                                                                                                              

                                                     

Description:    openSUSE 12.2 (x86_64)                                                                        

                                                                                                              

                                                     

Release:        12.2                                                                                          

                                                                                                              

                                                     

Codename:       Mantis

 

From Ubuntu:

Distributor ID:    Ubuntu

Description:    Ubuntu Trusty Tahr (development branch)

Release:    14.04

Codename:    trusty
#2 - 06/24/2014 03:35 PM - Danny Al-Gaaf

- % Done changed from 0 to 100

#3 - 07/29/2014 01:50 PM - Sage Weil

- Status changed from New to Resolved

#4 - 01/06/2015 03:17 AM - Loïc Dachary

- Backport set to firefly

#5 - 01/06/2015 03:19 AM - Loïc Dachary

- Status changed from Resolved to Pending Backport

#6 - 03/26/2015 03:25 PM - Loïc Dachary

5be6f2f osd/OSD.cc: parse lsb release data via lsb_release (in  firefly),

#7 - 03/26/2015 03:25 PM - Loïc Dachary

- Status changed from Pending Backport to Resolved
